Subject: Re: [PATCH v2] xfrm: clear trailing padding in build_polexpire()

From: Yasuaki Torimaru <[email-masked]>
Date: Thu, 26 Mar 2026 14:57:41 +0900

On Thu, 27 Mar 2026, Simon Horman wrote:
> I think the Fixes tag should cite the patch that introduced the bug. The
> commit cited above looks like a related fix, but no the cause of the bug.

You're right. build_polexpire() has existed since the initial
import (1da177e4c3f4), so the padding has been uninitialized from
the beginning. Sending v3 with the corrected Fixes tag.